Net::IMAP::Simple::PipeSocket(3)

NAME
Net::IMAP::Simple::PipeSocket - a little wrapper around IPC-Open3 that feels like a socket

SYNOPSIS
This module is really just a wrapper around IPC-Open3 that can be dropped in place of a socket handle. The Net::IMAP::Simple code assumes the socket is always a socket and is never a pipe and re-writing it all would be horrible.

This abstraction is used only for that purpose.